invalid code

Discussion of FieldGenius related issues and questions.

Moderators: Brian Sloman, Jason Poitras, James Johnston

invalid code

Postby pasurvey » Sat Aug 07, 2004 4:36 am

:evil:

Yes it is Saturday and some of us still have to work! I went to use my FG 2004 ver 1.0.5 and I'm getting a invalid code on my IPAQ 2215. This version has been on and running since it was released without incident. I notice the machine id is not the same. What's up? Looks like I'll have to cancel field work scheduled for today and Monday AM since I'm on the east coast and won't be able to get a code until 11AM.

If you want to sell to the East coast, I suggest you provide a minimum support M-F 8 to 5. That means also providing support with people who are well trained with the function of surveying and your software. I understand the need to protect your software, but we need a backup plan for times like this. I did document my id and code!
LP
pasurvey
 
Posts: 31
Joined: Tue Jul 06, 2004 10:39 am
Location: Arlington, Vermont

IPAQ and KEY CODE

Postby Richard Sands » Sat Aug 07, 2004 7:55 pm

Have you tried a soft reboot. I have an IPAQ and have found this happened in past. A soft reboot bought things back to normal. It may not be a MicroSurvey problem but something to do with the IPAQ.
regards
Richard @ Downunder
Richard Sands
 

Postby Guest » Sun Aug 08, 2004 4:56 am

:D
Thanks Richard! It did the trick.
Guest
 

Postby Jason Poitras » Tue Aug 10, 2004 5:15 pm

Hello,

We have made some adjustments to the licensing method the FieldGenius uses to authenticate the key code. We did this because of problems that some of customers were experiencing on iPAQ based devices. The fix will be made available in the 1.0.6 build of FieldGenius.

As Richard suggested, a soft reset will fix the problem.
Jason Poitras
General Manager
[email protected]
User avatar
Jason Poitras
Site Admin
 
Posts: 443
Joined: Tue Oct 29, 2002 5:17 pm
Location: Kelowna, BC, Canada

same prob w/version 1.0.7

Postby Guest » Sat Aug 28, 2004 1:14 pm

After loading ver 1.0.7 I had the same problem happen again. Soft boot resolved it. Thought if was fixed?
Guest
 

Postby Jason Poitras » Tue Aug 31, 2004 5:41 am

Hello,

This is supposed to be fixed. Could you confirm that the 1.0.7 is running by going to the main menu and use the "About" button to confirm that you have the latest version installed.

We have about 8 iPaq that we test with in the office and many more out there with our customers. Since the 1.0.7 build we have not had any reports of this problem.

Let me know what you find.
Jason Poitras
General Manager
[email protected]
User avatar
Jason Poitras
Site Admin
 
Posts: 443
Joined: Tue Oct 29, 2002 5:17 pm
Location: Kelowna, BC, Canada

Postby pasurvey » Thu Sep 02, 2004 3:54 am

Jason,

Yes 1.0.7 is in place. I had to hard boot my Ipaq h2215 to regain Activesync and then I loaded v1.0.7. and then when I ran the program I got the invalid code. Machine ID was not the same. I was running v1.0.5 before.

Hope this helps.
LP
pasurvey
 
Posts: 31
Joined: Tue Jul 06, 2004 10:39 am
Location: Arlington, Vermont

Postby pasurvey » Fri Sep 03, 2004 6:57 am

Jason,

Yesterday I used fg04 without a problem. This morning I just started it and got the invalid code again.

Please beware the problem lives, at least in my unit.

Soft boot resolved it again.
LP
pasurvey
 
Posts: 31
Joined: Tue Jul 06, 2004 10:39 am
Location: Arlington, Vermont

Postby Guest » Tue Sep 14, 2004 9:25 am

Yesterday I had to do another soft reset due to invalid code. If I'm the unique one, please tell me what to do to join the crowd!
Guest
 

INVALID CODES

Postby Richard Sands » Wed Sep 15, 2004 1:40 pm

Youre not on your own. I still get an invalid code message occasionaly, but I havent worried about it as a soft reboot gives the fix. Whilst a very minor annoyance it hasn't really bothered me.
regards
Richard
Richard Sands
 

Postby pasurvey » Fri Sep 17, 2004 6:05 am

Thanks Richard for your response!

Yes it is minor, but when you're told it has been fixed and you think you're the selected one, you wonder what's up.

Thanks again,
LP
LP
pasurvey
 
Posts: 31
Joined: Tue Jul 06, 2004 10:39 am
Location: Arlington, Vermont

Invalid Code again

Postby Glen Cameron » Fri Sep 17, 2004 7:48 am

This is proving to be a very frustrating issue for all of us. We thought we had it solved, but obviously not. The programmers will continue to dig into it and hopefully find and fix the issue shortly. We can't give an exact time frame unfortunately, but it does have a high priority so hopefully it won't take too long.

I assume you have tried version 1.0.8 of the program, and it still happens. (I did not see above if you were running 1.0.8 or not. If not then please grab it and see if this solved it or not)

Thank you for the detailed updates and your patience.

Cheers,
Glen W. Cameron, C.E.T.
City of North Bay, Ontario
Glen Cameron
 
Posts: 1395
Joined: Fri Nov 08, 2002 12:18 pm
Location: Corbeil, Ontario, Canada

Postby Guest » Fri Sep 17, 2004 11:19 pm

Hi Guys,

I don't have an Ipaq, but maybe I can shed some light on this problem.

I have a Recon CE.NET and a compact flash card. I am presently upgrading to the Pocket PC version. TDS sent me a Pocket PC Recon while I send in the Recon CE.NET version for upgrade.

Now for what I found.......

I installed FG2004 on the Recon PPC and noticed that I had a different Machine ID so obviously my activation code won't work. (sound familiar)

Just for fun, I took the compact flash card out of the Recon CE.NET and put it into the PPC.

Wham...... now I have the same machine ID and on the Recon PPC as I had on the Recon CE.NET. Now the same activation code works on the PPC as it did on the CE.NET

I think that maybe the problem is your Ipaq has trouble reading the storage card in your unit.

Is there a setting to mount automatically the storage card or could it possibly be a reformat is in order or maybe the thing is just loose???

I'm just guessing, but who knows?

John
Guest
 

We search in a specific order

Postby Darcy Detlor » Sun Sep 19, 2004 5:28 pm

The program looks first for a flash card and gets the serial number from it.

If it cannot find a serial number in the flash card it tries to get the internal IPAQ serial number. Normally on an iPAQ 2215 it looks for CF CARD first, and then looks for the internal serial number.

If your iPAQ is changing serial numbers, then it could be due to the CF card not responding to 3 requests (I think the code calls 3 times for the number) and so it is dropping to the iPAQ code.

The Recon will look for the serial number in the CF card first, and since John's ipaq is also finding the serial number, he is able to run the program.

It is pointing to a slightly flakey iPAQ as the issue. It is not the program. We ask for the serial number 3 times from the operating system. If the operating system does not respond, or the CF card does not respond, then we have to move to the next item to check.

Resetting an iPAQ should be considered a normal thing to do. They are not the most stable, rugged devices on the market. I often use my iPAQ 5450 with a bluetooth connection to a GPS receiver made by Socket. If it works for more than 1 hour I'm impressed. Usually I need to reset the iPAQ every time it drops the Bluetooth connection.

On my 5450 the issue is further complicated by the naming of the Storage Cards. Both the CF card and the SD card are called "Storage Card". Depending upon which one you insert first one will be called "Storage Card", and the other will be called "Storage Card2". This means that they both respond to the request for an ID, but you need to make sure that the CF card is always called "Storage Card". You can do this by removing the SD card and doing a reset. It will then call the CF card "Storage Card" and the SD card will be "Storage Card2". With the 2215 they changed this so the CF card is called "CF Card" and the SD card is called "SD Card" (I think). Fun Fun Fun...
Darcy Detlor,
President,
MicroSurvey Software Inc.
[email protected]
User avatar
Darcy Detlor
Site Admin
 
Posts: 205
Joined: Tue Oct 29, 2002 10:14 am
Location: West Kelowna, BC

INVALID CODE

Postby Richard Sands » Mon Sep 20, 2004 12:20 am

Glen/ Darcy
I have 1.08 now, previous problems were with 1.07. If it recurs I will let you know. So far all is good.
regards
Richard
Richard Sands
 

Postby pasurvey » Mon Sep 27, 2004 4:20 am

I have latest version 1.0.8 and am running IPAQ 2215 now with SD card removed. Looks good so far. Will keep you posted.
LP
pasurvey
 
Posts: 31
Joined: Tue Jul 06, 2004 10:39 am
Location: Arlington, Vermont


Return to FieldGenius

Who is online

Users browsing this forum: Google [Bot] and 2 guests

cron